%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:		pion-net
Version:	4.0.9
Release:	9%{?dist}
Summary:	C++ library for building lightweight HTTP interfaces

License:	Boost
URL:		http://www.pion.org/projects/pion-network-library
Source0:	http://www.pion.org/files/pion-net-%{version}.tar.bz2

BuildRequires:	boost-devel >= 1.35.0, openssl-devel, log4cpp-devel, zlib-devel, bzip2-devel, libicu-devel
BuildRequires:	doxygen, autoconf, automake, libtool

Patch0:		pion-net-cflags.patch
Patch1:		pion-net-pkgconfig.patch
Patch2:		pion-net-gcc47-symbols-lookup.patch
Patch3:		pion-net-boost-linking.patch
Patch4:		pion-net-log4cpp-headers.patch
Patch5:		pion-net-boost-compatibility.patch
Patch6:		pion-net-boost-time-utc.patch

%description
Pion Network Library is a C++ framework for building lightweight HTTP
interfaces.

%package	devel
Summary:	Development files for pion-net
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	boost-devel >= 1.35.0, openssl-devel, log4cpp-devel, zlib-devel, bzip2-devel, libicu-devel

%description devel
This package contains the pkgconfig, header files, and libraries needed to
develop application that use pion-net.

%package	doc
Summary:	Documentation for pion-net
BuildArch:	noarch

%description doc
This package contains Doxygen HTML documentation for pion-net library.


%prep
%setup -q
for patch in %patches; do
	echo "Applying $patch" >&2
	%__patch -p1 -i $patch
done


%build

./autogen.sh
%configure \
	--disable-static \
	--with-pic \
	--with-plugins=%{_libdir}/pion/plugins \
	--with-zlib \
	--with-bzlib \
	--with-openssl \
	--with-log4cpp

make %{?_smp_mflags}

# regenerate upstream documentation
make doxygen-clean
make doxygen-run

%install
make install DESTDIR=%{buildroot}

# delete example apps
rm -f %{buildroot}%{_bindir}/PionHelloServer
rm -f %{buildroot}%{_bindir}/PionWebServer

# delete libtool archives
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/pion/plugins/*.la

# install documentation
install -d -m 0755 %{buildroot}%{_pkgdocdir}
cp -arv net/doc/html %{buildroot}%{_pkgdocdir}/html


%check
make check


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING NEWS TODO
%dir %{_libdir}/pion
%dir %{_libdir}/pion/plugins
%{_libdir}/libpion-*.so
%{_libdir}/pion/plugins/*.so
%exclude %{_pkgdocdir}/html


%files devel
%{_includedir}/pion/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libpion-common.so
%{_libdir}/libpion-net.so


%files doc
%doc %{_pkgdocdir}/html


%changelog
* Sun Sep 01 2013 Jan Vcelak <jvcelak@fedoraproject.org> 4.0.9-9
- rebuild due to broken dependencies
- update for unversioned doc directory feature

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 Petr Machata <pmachata@redhat.com> - 4.0.9-7
- Rebuild for boost 1.54.0
- Drop --with-boost-extension=-mt, Boost doesn't use tagged layout
  anymore

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.0.9-6
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.0.9-5
- Rebuild for Boost-1.53.0

* Sat Jan 26 2013 Kevin Fenzi <kevin@scrye.com> - 4.0.9-4
- Rebuild for new icu
- Simplify patch loop so it works with current rpm

* Thu Aug 16 2012 Jan Vcelak <jvcelak@redhat.com> 4.0.9-3
- rebuild with new boost library

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.9-2
- Rebuilt for c++ ABI breakage

* Thu Feb 02 2012 Jan Vcelak <jvcelak@redhat.com> 4.0.9-1
- rebase to new upstream version
  + HTTPReader - add support for timeouts (900)

* Mon Nov 28 2011 Jan Vcelak <jvcelak@redhat.com> 4.0.7-4
- fix Source URL to include version tag
- remove bzlib2 and zlib dependencies (no reference in source code)

* Wed Nov 23 2011 Jan Vcelak <jvcelak@redhat.com> 4.0.7-3
- remove documentation from the base package
- fix typo in configure option (--with-pic)
- remove libicu-devel from BuildRequires
- fix automake not to replace Fedora compiler flags
- migrate the library to use Boost Filesystem version 3
- add -devel package Requires
- move unversioned .so files to -devel package

* Tue Nov 22 2011 Jan Vcelak <jvcelak@redhat.com> 4.0.7-2
- change Summary to be more eglible
- do not explicitly clean buildroot before installation
- include orphaned directories
- fix -devel package requirements
- fix -doc package requirements

* Tue Nov 15 2011 Jan Vcelak <jvcelak@redhat.com> 4.0.7-1
- initial package for Fedora
